Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.element.office
Class OdfTextElement

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.xerces.dom.ElementNSImpl
                          org.odftoolkit.odfdom.dom.element.OdfElement
                              org.odftoolkit.odfdom.dom.element.office.OdfTextElement

All Implemented Interfaces:
  Serializable, Cloneable, Element, EventTarget, Node, NodeList, TypeInfo

Direct Known Subclasses:
  OdfText

    public abstract class OdfTextElement

extends OdfElement

DOM implementation of OpenDocument element office:text.

See Also:
  Serialized Form

Field Summary
`static OdfName` | `ELEMENT_NAME`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`mOdfDocument`

Fields inherited from class org.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`OdfTextElement(OdfFileDom aOwnerDoc)` Create the instance of OdfTextElement

Method Summary
`OdfAlphabeticalIndexAutoMarkFileElement` | `createAlphabeticalIndexAutoMarkFileElement(OdfAnyURI href)` Create child element text:alphabetical-index-auto-mark-file.
`OdfAlphabeticalIndexElement` | `createAlphabeticalIndexElement(String name)` Create child element text:alphabetical-index.
`OdfBibliographyElement` | `createBibliographyElement(String name)` Create child element text:bibliography.
`OdfCalculationSettingsElement` | `createCalculationSettingsElement()` Create child element table:calculation-settings.
`OdfCaptionElement` | `createCaptionElement()` Create child element draw:caption.
`OdfChangedRegionElement` | `createChangedRegionElement()` Create child element text:changed-region.
`OdfCircleElement` | `createCircleElement()` Create child element draw:circle.
`OdfConnectorElement` | `createConnectorElement(Integer viewBox)` Create child element draw:connector.
`OdfConsolidationElement` | `createConsolidationElement(String function, OdfCellRangeAddressList sourceCellRangeAddresses, OdfCellAddress targetCellAddress)` Create child element table:consolidation.
`OdfContentValidationsElement` | `createContentValidationsElement()` Create child element table:content-validations.
`OdfControlElement` | `createControlElement(OdfId control)` Create child element draw:control.
`OdfCustomShapeElement` | `createCustomShapeElement()` Create child element draw:custom-shape.
`OdfDatabaseRangesElement` | `createDatabaseRangesElement()` Create child element table:database-ranges.
`OdfDataPilotTablesElement` | `createDataPilotTablesElement()` Create child element table:data-pilot-tables.
`OdfDdeConnectionDeclElement` | `createDdeConnectionDeclElement(String name, String ddeApplication, String ddeTopic, String ddeItem)` Create child element text:dde-connection-decl.
`OdfDdeLinksElement` | `createDdeLinksElement()` Create child element table:dde-links.
`OdfHyperlinkElement` | `createdrawHyperlinkElement(OdfAnyURI href)` Create child element draw:a.
`OdfMeasureElement` | `createdrawMeasureElement(OdfLength x1, OdfLength y1, OdfLength x2, OdfLength y2)` Create child element draw:measure.
`OdfEllipseElement` | `createEllipseElement()` Create child element draw:ellipse.
`OdfFormElement` | `createFormElement()` Create child element form:form.
`OdfFrameElement` | `createFrameElement()` Create child element draw:frame.
`OdfGroupElement` | `createGroupElement()` Create child element draw:g.
`OdfHeadingElement` | `createHeadingElement(OdfPositiveInteger outlineLevel)` Create child element text:h.
`OdfIllustrationIndexElement` | `createIllustrationIndexElement(String name)` Create child element text:illustration-index.
`OdfLabelRangesElement` | `createLabelRangesElement()` Create child element table:label-ranges.
`OdfLineElement` | `createLineElement(OdfLength x1, OdfLength y1, OdfLength x2, OdfLength y2)` Create child element draw:line.
`OdfListElement` | `createListElement()` Create child element text:list.
`OdfModelElement` | `createModelElement()` Create child element xforms:model.
`OdfNamedExpressionsElement` | `createNamedExpressionsElement()` Create child element table:named-expressions.
`OdfNumberedParagraphElement` | `createNumberedParagraphElement(String listId)` Create child element text:numbered-paragraph.
`OdfObjectIndexElement` | `createObjectIndexElement(String name)` Create child element text:object-index.
`OdfPageSequenceElement` | `createPageSequenceElement()` Create child element text:page-sequence.
`OdfPageThumbnailElement` | `createPageThumbnailElement()` Create child element draw:page-thumbnail.
`OdfParagraphElement` | `createParagraphElement()` Create child element text:p.
`OdfPathElement` | `createPathElement(String d, Integer viewBox)` Create child element draw:path.
`OdfPolygonElement` | `createPolygonElement(String points, Integer viewBox)` Create child element draw:polygon.
`OdfPolylineElement` | `createPolylineElement(String points, Integer viewBox)` Create child element draw:polyline.
`OdfRectElement` | `createRectElement()` Create child element draw:rect.
`OdfRegularPolygonElement` | `createRegularPolygonElement(OdfBoolean concave, OdfPositiveInteger corners)` Create child element draw:regular-polygon.
`OdfRegularPolygonElement` | `createRegularPolygonElement(OdfPositiveInteger corners, OdfBoolean concave)` Create child element draw:regular-polygon.
`OdfSceneElement` | `createSceneElement()` Create child element dr3d:scene.
`OdfSectionElement` | `createSectionElement(OdfSectionDisplayType display, String condition, String name)` Create child element text:section.
`OdfSectionElement` | `createSectionElement(String name, OdfSectionDisplayType display)` Create child element text:section.
`OdfSequenceDeclElement` | `createSequenceDeclElement(String name, OdfNonNegativeInteger displayOutlineLevel)` Create child element text:sequence-decl.
`OdfSoftPageBreakElement` | `createSoftPageBreakElement()` Create child element text:soft-page-break.
`OdfTableElement` | `createTableElement()` Create child element table:table.
`OdfTableIndexElement` | `createTableIndexElement(String name)` Create child element text:table-index.
`OdfTableOfContentElement` | `createTableOfContentElement(String name)` Create child element text:table-of-content.
`OdfUserFieldDeclElement` | `createUserFieldDeclElement(OdfValueType valueType, Double value, String name)` Create child element text:user-field-decl.
`OdfUserFieldDeclElement` | `createUserFieldDeclElement(OdfValueType valueType, OdfBoolean booleanValue, String name)` Create child element text:user-field-decl.
`OdfUserFieldDeclElement` | `createUserFieldDeclElement(OdfValueType valueType, OdfDate dateValue, String name)` Create child element text:user-field-decl.
`OdfUserFieldDeclElement` | `createUserFieldDeclElement(OdfValueType valueType, OdfDuration timeValue, String name)` Create child element text:user-field-decl.
`OdfUserFieldDeclElement` | `createUserFieldDeclElement(OdfValueType valueType, String name)` Create child element text:user-field-decl.
`OdfUserIndexElement` | `createUserIndexElement(String name)` Create child element text:user-index.
`OdfVariableDeclElement` | `createVariableDeclElement(String name, OdfValueType valueType)` Create child element text:variable-decl.
`OdfBoolean` | `getGlobal()` Get value of attribute text:global.
`OdfName` | `getOdfName()` Get the element name
`OdfBoolean` | `getUseSoftPageBreaks()` Get value of attribute text:use-soft-page-breaks.
`void` | `setGlobal(OdfBoolean isGlobal)` Set value of attribute text:global.
`void` | `setUseSoftPageBreaks(OdfBoolean isUseSoftPageBreaks)` Set value of attribute text:use-soft-page-breaks.

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`cloneNode, equals, findFirstChildNode, findNextChildNode, findPreviousChildNode, getAncestorAs, getOdfAttribute, getParentAs, hasOdfAttribute, insertBefore, onInsertNode, onInsertNode, onRemoveNode, onRemoveNode, removeChild, replaceChild, setOdfAttribute, toString`

Methods inherited from class org.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, isDerivedFrom, setPrefix, setType, setValues`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, item, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getNodeNumber, getNodeValue, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setNodeValue, setTextContent, setUserData`

Field Detail

### ELEMENT_NAME

    public static final OdfName ELEMENT_NAME

Constructor Detail

### OdfTextElement

    public OdfTextElement(OdfFileDom aOwnerDoc)

  Create the instance of OdfTextElement

  Parameters:
    `aOwnerDoc` - The type is OdfFileDom

Method Detail

### getOdfName

    public OdfName getOdfName()

  Get the element name

  Specified by:
    `getOdfName` in class `OdfElement`
  Returns:
    return the name of element office:text.

### getGlobal

    public OdfBoolean getGlobal()

  Get value of attribute text:global.

  Returns:
    return the attribute which type is OdfBoolean

### setGlobal

    public void setGlobal(OdfBoolean isGlobal)

  Set value of attribute text:global.

  Parameters:
    `isGlobal` - the attribute's type is OdfBoolean

### getUseSoftPageBreaks

    public OdfBoolean getUseSoftPageBreaks()

  Get value of attribute text:use-soft-page-breaks.

  Returns:
    return the attribute which type is OdfBoolean

### setUseSoftPageBreaks

    public void setUseSoftPageBreaks(OdfBoolean isUseSoftPageBreaks)

  Set value of attribute text:use-soft-page-breaks.

  Parameters:
    `isUseSoftPageBreaks` - the attribute's type is OdfBoolean

### createFormElement

    public OdfFormElement createFormElement()

  Create child element form:form.

  Returns:
    return the element form:form

### createModelElement

    public OdfModelElement createModelElement()

  Create child element xforms:model.

  Returns:
    return the element xforms:model

### createChangedRegionElement

    public OdfChangedRegionElement createChangedRegionElement()

  Create child element text:changed-region.

  Returns:
    return the element text:changed-region

### createVariableDeclElement

    public OdfVariableDeclElement createVariableDeclElement(String name,
                                                            OdfValueType valueType)

  Create child element text:variable-decl.

  Parameters:
    `name` - String
    `valueType` - the attribute's type is OdfValueType, see office:value at specification
  Returns:
    return the element text:variable-decl

### createSequenceDeclElement

    public OdfSequenceDeclElement createSequenceDeclElement(String name,
                                                            OdfNonNegativeInteger displayOutlineLevel)

  Create child element text:sequence-decl.

  Parameters:
    `name` - String
    `displayOutlineLevel` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfNonNegativeInteger
  Returns:
    return the element text:sequence-decl

### createUserFieldDeclElement

    public OdfUserFieldDeclElement createUserFieldDeclElement(OdfValueType valueType,
                                                              Double value,
                                                              String name)

  Create child element text:user-field-decl.

  Parameters:
    `valueType` - the attribute's type is OdfValueType, see office:value at specification
    `value` - Double
    `name` - String
  Returns:
    return the element text:user-field-decl

### createUserFieldDeclElement

    public OdfUserFieldDeclElement createUserFieldDeclElement(OdfValueType valueType,
                                                              OdfDate dateValue,
                                                              String name)

  Create child element text:user-field-decl.

  Parameters:
    `valueType` - the attribute's type is OdfValueType, see office:value at specification
    `dateValue` - the attribute's type is XMLGregorianCalendar
    `name` - String
  Returns:
    return the element text:user-field-decl

### createUserFieldDeclElement

    public OdfUserFieldDeclElement createUserFieldDeclElement(OdfValueType valueType,
                                                              OdfDuration timeValue,
                                                              String name)

  Create child element text:user-field-decl.

  Parameters:
    `valueType` - the attribute's type is OdfValueType, see office:value at specification
    `timeValue` - the attribute's type is Duration
    `name` - String
  Returns:
    return the element text:user-field-decl

### createUserFieldDeclElement

    public OdfUserFieldDeclElement createUserFieldDeclElement(OdfValueType valueType,
                                                              OdfBoolean booleanValue,
                                                              String name)

  Create child element text:user-field-decl.

  Parameters:
    `valueType` - the attribute's type is OdfValueType, see office:value at specification
    `booleanValue` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfBoolean
    `name` - String
  Returns:
    return the element text:user-field-decl

### createUserFieldDeclElement

    public OdfUserFieldDeclElement createUserFieldDeclElement(OdfValueType valueType,
                                                              String name)

  Create child element text:user-field-decl.

  Parameters:
    `valueType` - the attribute's type is OdfValueType, see office:value at specification
    `name` - String
  Returns:
    return the element text:user-field-decl

### createDdeConnectionDeclElement

    public OdfDdeConnectionDeclElement createDdeConnectionDeclElement(String name,
                                                                      String ddeApplication,
                                                                      String ddeTopic,
                                                                      String ddeItem)

  Create child element text:dde-connection-decl.

  Parameters:
    `name` - String
    `ddeApplication` - String
    `ddeTopic` - String
    `ddeItem` - String
  Returns:
    return the element text:dde-connection-decl

### createAlphabeticalIndexAutoMarkFileElement

    public OdfAlphabeticalIndexAutoMarkFileElement createAlphabeticalIndexAutoMarkFileElement(OdfAnyURI href)

  Create child element text:alphabetical-index-auto-mark-file.

  Parameters:
    `href` - the attribute's type is URI
  Returns:
    return the element text:alphabetical-index-auto-mark-file

### createCalculationSettingsElement

    public OdfCalculationSettingsElement createCalculationSettingsElement()

  Create child element table:calculation-settings.

  Returns:
    return the element table:calculation-settings

### createContentValidationsElement

    public OdfContentValidationsElement createContentValidationsElement()

  Create child element table:content-validations.

  Returns:
    return the element table:content-validations

### createLabelRangesElement

    public OdfLabelRangesElement createLabelRangesElement()

  Create child element table:label-ranges.

  Returns:
    return the element table:label-ranges

### createHeadingElement

    public OdfHeadingElement createHeadingElement(OdfPositiveInteger outlineLevel)

  Create child element text:h.

  Parameters:
    `outlineLevel` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfPositiveInteger
  Returns:
    return the element text:h

### createParagraphElement

    public OdfParagraphElement createParagraphElement()

  Create child element text:p.

  Returns:
    return the element text:p

### createListElement

    public OdfListElement createListElement()

  Create child element text:list.

  Returns:
    return the element text:list

### createNumberedParagraphElement

    public OdfNumberedParagraphElement createNumberedParagraphElement(String listId)

  Create child element text:numbered-paragraph.

  Parameters:
    `listId` - String
  Returns:
    return the element text:numbered-paragraph

### createTableElement

    public OdfTableElement createTableElement()

  Create child element table:table.

  Returns:
    return the element table:table

### createSectionElement

    public OdfSectionElement createSectionElement(String name,
                                                  OdfSectionDisplayType display)

  Create child element text:section.

  Parameters:
    `name` - String
    `display` - the attribute's type is OdfSectionDisplayType, see text:section-display at specification
  Returns:
    return the element text:section

### createSectionElement

    public OdfSectionElement createSectionElement(OdfSectionDisplayType display,
                                                  String condition,
                                                  String name)

  Create child element text:section.

  Parameters:
    `display` - the attribute's type is OdfSectionDisplayType, see text:section-display at specification
    `condition` - String
    `name` - String
  Returns:
    return the element text:section

### createSoftPageBreakElement

    public OdfSoftPageBreakElement createSoftPageBreakElement()

  Create child element text:soft-page-break.

  Returns:
    return the element text:soft-page-break

### createTableOfContentElement

    public OdfTableOfContentElement createTableOfContentElement(String name)

  Create child element text:table-of-content.

  Parameters:
    `name` - String
  Returns:
    return the element text:table-of-content

### createIllustrationIndexElement

    public OdfIllustrationIndexElement createIllustrationIndexElement(String name)

  Create child element text:illustration-index.

  Parameters:
    `name` - String
  Returns:
    return the element text:illustration-index

### createTableIndexElement

    public OdfTableIndexElement createTableIndexElement(String name)

  Create child element text:table-index.

  Parameters:
    `name` - String
  Returns:
    return the element text:table-index

### createObjectIndexElement

    public OdfObjectIndexElement createObjectIndexElement(String name)

  Create child element text:object-index.

  Parameters:
    `name` - String
  Returns:
    return the element text:object-index

### createUserIndexElement

    public OdfUserIndexElement createUserIndexElement(String name)

  Create child element text:user-index.

  Parameters:
    `name` - String
  Returns:
    return the element text:user-index

### createAlphabeticalIndexElement

    public OdfAlphabeticalIndexElement createAlphabeticalIndexElement(String name)

  Create child element text:alphabetical-index.

  Parameters:
    `name` - String
  Returns:
    return the element text:alphabetical-index

### createBibliographyElement

    public OdfBibliographyElement createBibliographyElement(String name)

  Create child element text:bibliography.

  Parameters:
    `name` - String
  Returns:
    return the element text:bibliography

### createRectElement

    public OdfRectElement createRectElement()

  Create child element draw:rect.

  Returns:
    return the element draw:rect

### createLineElement

    public OdfLineElement createLineElement(OdfLength x1,
                                            OdfLength y1,
                                            OdfLength x2,
                                            OdfLength y2)

  Create child element draw:line.

  Parameters:
    `x1` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfLength
    `y1` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfLength
    `x2` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfLength
    `y2` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfLength
  Returns:
    return the element draw:line

### createPolylineElement

    public OdfPolylineElement createPolylineElement(String points,
                                                    Integer viewBox)

  Create child element draw:polyline.

  Parameters:
    `points` - String
    `viewBox` - Integer
  Returns:
    return the element draw:polyline

### createPolygonElement

    public OdfPolygonElement createPolygonElement(String points,
                                                  Integer viewBox)

  Create child element draw:polygon.

  Parameters:
    `points` - String
    `viewBox` - Integer
  Returns:
    return the element draw:polygon

### createRegularPolygonElement

    public OdfRegularPolygonElement createRegularPolygonElement(OdfPositiveInteger corners,
                                                                OdfBoolean concave)

  Create child element draw:regular-polygon.

  Parameters:
    `corners` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfPositiveInteger
    `concave` - the attribute's type is Boolean
  Returns:
    return the element draw:regular-polygon

### createRegularPolygonElement

    public OdfRegularPolygonElement createRegularPolygonElement(OdfBoolean concave,
                                                                OdfPositiveInteger corners)

  Create child element draw:regular-polygon.

  Parameters:
    `concave` - the attribute's type is Boolean
    `corners` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfPositiveInteger
  Returns:
    return the element draw:regular-polygon

### createPathElement

    public OdfPathElement createPathElement(String d,
                                            Integer viewBox)

  Create child element draw:path.

  Parameters:
    `d` - String
    `viewBox` - Integer
  Returns:
    return the element draw:path

### createCircleElement

    public OdfCircleElement createCircleElement()

  Create child element draw:circle.

  Returns:
    return the element draw:circle

### createEllipseElement

    public OdfEllipseElement createEllipseElement()

  Create child element draw:ellipse.

  Returns:
    return the element draw:ellipse

### createGroupElement

    public OdfGroupElement createGroupElement()

  Create child element draw:g.

  Returns:
    return the element draw:g

### createPageThumbnailElement

    public OdfPageThumbnailElement createPageThumbnailElement()

  Create child element draw:page-thumbnail.

  Returns:
    return the element draw:page-thumbnail

### createFrameElement

    public OdfFrameElement createFrameElement()

  Create child element draw:frame.

  Returns:
    return the element draw:frame

### createdrawMeasureElement

    public OdfMeasureElement createdrawMeasureElement(OdfLength x1,
                                                      OdfLength y1,
                                                      OdfLength x2,
                                                      OdfLength y2)

  Create child element draw:measure.

  Parameters:
    `x1` - the attribute's type is String
    `y1` - the attribute's type is String
    `x2` - the attribute's type is String
    `y2` - the attribute's type is String
  Returns:
    return the element draw:measure

### createCaptionElement

    public OdfCaptionElement createCaptionElement()

  Create child element draw:caption.

  Returns:
    return the element draw:caption

### createConnectorElement

    public OdfConnectorElement createConnectorElement(Integer viewBox)

  Create child element draw:connector.

  Parameters:
    `viewBox` - Integer
  Returns:
    return the element draw:connector

### createControlElement

    public OdfControlElement createControlElement(OdfId control)

  Create child element draw:control.

  Parameters:
    `control` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfId
  Returns:
    return the element draw:control

### createSceneElement

    public OdfSceneElement createSceneElement()

  Create child element dr3d:scene.

  Returns:
    return the element dr3d:scene

### createCustomShapeElement

    public OdfCustomShapeElement createCustomShapeElement()

  Create child element draw:custom-shape.

  Returns:
    return the element draw:custom-shape

### createdrawHyperlinkElement

    public OdfHyperlinkElement createdrawHyperlinkElement(OdfAnyURI href)

  Create child element draw:a.

  Parameters:
    `href` - the attribute's type is URI
  Returns:
    return the element draw:a

### createPageSequenceElement

    public OdfPageSequenceElement createPageSequenceElement()

  Create child element text:page-sequence.

  Returns:
    return the element text:page-sequence

### createNamedExpressionsElement

    public OdfNamedExpressionsElement createNamedExpressionsElement()

  Create child element table:named-expressions.

  Returns:
    return the element table:named-expressions

### createDatabaseRangesElement

    public OdfDatabaseRangesElement createDatabaseRangesElement()

  Create child element table:database-ranges.

  Returns:
    return the element table:database-ranges

### createDataPilotTablesElement

    public OdfDataPilotTablesElement createDataPilotTablesElement()

  Create child element table:data-pilot-tables.

  Returns:
    return the element table:data-pilot-tables

### createConsolidationElement

    public OdfConsolidationElement createConsolidationElement(String function,
                                                              OdfCellRangeAddressList sourceCellRangeAddresses,
                                                              OdfCellAddress targetCellAddress)

  Create child element table:consolidation.

  Parameters:
    `function` - String
    `sourceCellRangeAddresses` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfCellRangeAddressList
    `targetCellAddress` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfCellAddress
  Returns:
    return the element table:consolidation

### createDdeLinksElement

    public OdfDdeLinksElement createDdeLinksElement()

  Create child element table:dde-links.

  Returns:
    return the element table:dde-links

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.